uuid: c17253d9-b0bf-4b40-9bde-ebc01e315cc7
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.search_index
    - field.storage.node.field_resource_type
    - field.storage.node.field_summary
    - field.storage.node.field_tags
    - field.storage.node.field_topics
    - search_api.server.database
  module:
    - node
    - user
_core:
  default_config_hash: fFIBB3dnItuQJjsd_PydP1ZyBnj9hsUpshBHlAX5f24
id: resource
name: Resource
description: 'An index for the resource content type.'
read_only: false
field_settings:
  changed:
    label: Changed
    datasource_id: 'entity:node'
    property_path: changed
    type: date
    dependencies:
      module:
        - node
  created:
    label: 'Authored on'
    datasource_id: 'entity:node'
    property_path: created
    type: date
    dependencies:
      module:
        - node
  field_resource_type:
    label: 'Resource type'
    datasource_id: 'entity:node'
    property_path: field_resource_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_resource_type
  field_summary:
    label: Summary
    datasource_id: 'entity:node'
    property_path: field_summary
    type: text
    dependencies:
      config:
        - field.storage.node.field_summary
  field_tags:
    label: Tags
    datasource_id: 'entity:node'
    property_path: field_tags
    type: integer
    dependencies:
      config:
        - field.storage.node.field_tags
  field_topics:
    label: Topics
    datasource_id: 'entity:node'
    property_path: field_topics
    type: integer
    dependencies:
      config:
        - field.storage.node.field_topics
  name:
    label: 'Authored by » User » Name'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:name'
    type: string
    dependencies:
      module:
        - node
        - user
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  promote:
    label: 'Promoted to front page'
    datasource_id: 'entity:node'
    property_path: promote
    type: boolean
    dependencies:
      module:
        - node
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        anonymous: anonymous
      view_mode:
        'entity:node':
          resource: search_index
  status:
    label: Published
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  sticky:
    label: 'Sticky at top of lists'
    datasource_id: 'entity:node'
    property_path: sticky
    type: boolean
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: 8.0
    dependencies:
      module:
        - node
  uid:
    label: 'Authored by'
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - resource
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -45
  entity_status: {  }
  html_filter:
    weights:
      preprocess_index: -46
      preprocess_query: -47
    all_fields: false
    fields:
      - field_summary
      - rendered_item
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      strong: 2
  ignorecase:
    weights:
      preprocess_index: -49
      preprocess_query: -49
    all_fields: false
    fields:
      - field_summary
      - name
      - rendered_item
      - title
  language_with_fallback: {  }
  rendered_item: {  }
  stopwords:
    weights:
      preprocess_index: -48
      preprocess_query: -50
    all_fields: false
    fields:
      - field_summary
      - rendered_item
      - title
    stopwords:
      - a
      - an
      - and
      - are
      - as
      - at
      - be
      - but
      - by
      - for
      - if
      - in
      - into
      - is
      - it
      - 'no'
      - not
      - of
      - 'on'
      - or
      - s
      - such
      - t
      - that
      - the
      - their
      - then
      - there
      - these
      - they
      - this
      - to
      - was
      - will
      - with
  tokenizer:
    weights:
      preprocess_index: -44
      preprocess_query: -46
    all_fields: false
    fields:
      - field_summary
      - rendered_item
      - title
    spaces: ''
    overlap_cjk: 1
    minimum_word_size: '3'
  transliteration:
    weights:
      preprocess_index: -47
      preprocess_query: -48
    all_fields: false
    fields:
      - field_summary
      - name
      - rendered_item
      - title
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: database
